Name:           python-kitchen
Version:        1.2.6
Release:        6
Summary:        Useful snippets of python code
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/kitchen/
Source0:        https://files.pythonhosted.org/packages/d9/ca/3365cb1160533be8c8b57dbfd6502f367d35e30935ee89a003c664740714/kitchen-1.2.6.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel python3-nose
BuildRequires:  python3-test python3-chardet
BuildRequires:  python3-sphinx

Patch0: 0001-replace-obsolete-pngmath-with-imgmath.patch

%description
kitchen comprising gettext easy to use, easy to unicode text processing functions, and for write
code modules but requires python-2.7 running on python-2.3 compatibility module.

%package -n python3-kitchen
Summary:          Useful snippets of python3 code

%{?python_provide:%python_provide python3-kitchen}
Requires:         python3 python3-chardet

%description -n python3-kitchen
This package is the python3 version of the kitchen module.

%package help
Summary:        Kitchen python2 and  Kitchen python3 API documentation
Provides:       %{name}-doc = %{version}-%{release}
Obsoletes:      %{name}-doc < %{version}-%{release}
Provides:       %{name}-python3-kitchen-doc = %{version}-%{release}
Obsoletes:      %{name}-python3-kitchen-doc < %{version}-%{release}

%description help
This package contains API documentation for programming with python-2 and python-3 versions
of the kitchen library.

%prep
%autosetup -n kitchen-%{version} -p1
rm -rf *.egg* 

%build
%{py3_build}

%install
%{py3_install}

%check
PATH=/bin:/usr/bin
export LANG='en_US.UTF8'
pushd kitchen3
nosetests-%{python3_version} -e test_internal_generate_combining_table
popd

%files -n python3-kitchen
%doc README.rst NEWS.rst COPYING COPYING.LESSER
%{python3_sitelib}/kitchen*


%files help
%doc kitchen3/docs/* COPYING COPYING.LESSER

%changelog
* Sat Dec 04 2021 tianwei<tianwei12@huawei.com> - 1.2.6-6
- delete python2 and build for doc

* Wed Feb 10 2021 hanxinke <hanxinke@huawei.com> - 1.2.6-5
- update release version

* Fri Sep 25 2020 tianwei <tianwei12@huawei.com> - 1.2.6-2
- replace obsolete pngmath with imgmath

* Sat Feb 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.2.6-1
- Update to 1.2.6 and enable python3 test

* Sat Dec 21 2019 duyeyu <duyeyu@huawei.com> - 1.2.5-6
- initial package
